unit dmarkdown_memory_sax;

interface

type
PMarkdownParser = ^TMarkdownParser;

TMarkdownReader = object
protected
  procedure OnDocumentStart(Parser: PMarkdownParser); virtual;
  procedure OnDocumentEnd(Parser: PMarkdownParser); virtual;
  procedure OnHeaderStart(Parser: PMarkdownParser; Level: LongInt); virtual;
  procedure OnHeaderEnd(Parser: PMarkdownParser; Level: LongInt); virtual;
public
end;

TMarkdownParser = object
end;

implementation

end.
